- Qt 6.8
- Qt Quick Timeline
- QML Types
- TimelineAnimation
- Qt Quick Timeline | Commercial or GPLv3

# TimelineAnimation QML Type

A number animation attached to a timeline. More...

Import Statement: | `import QtQuick.Timeline 1.0`
Inherits: | NumberAnimation

- List of all members, including inherited members

## Properties

- pingPong : bool

## Signals

- finished()

## Detailed Description

Specifies how the current frame property of a timeline is animated. This animates the properties of the objects targeted by the timeline.

## Property Documentation

pingPong : bool

Whether the animation is played backwards after it finishes. This is an easy way to create circular animations.

## Signal Documentation

finished()

This signal is emitted when the timeline animation finishes.

Note: The corresponding handler is `onFinished`.